public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "John Helmert III" <ajak@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/ckb/
Date: Fri, 21 Mar 2025 04:01:12 +0000 (UTC)	[thread overview]
Message-ID: <1742529635.3365154f31ea1fe4f5df2ff3f6b0cae0b2e7f81b.ajak@gentoo> (raw)

commit:     3365154f31ea1fe4f5df2ff3f6b0cae0b2e7f81b
Author:     Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Tue Mar 18 23:11:09 2025 +0000
Commit:     John Helmert III <ajak <AT> gentoo <DOT> org>
CommitDate: Fri Mar 21 04:00:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3365154f

app-misc/ckb: add 0.6.2

Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Closes: https://github.com/gentoo/gentoo/pull/41161
Signed-off-by: John Helmert III <ajak <AT> gentoo.org>

 app-misc/ckb/Manifest         |  1 +
 app-misc/ckb/ckb-0.6.2.ebuild | 72 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-misc/ckb/Manifest b/app-misc/ckb/Manifest
index b753e94be482..6ad090b51b4c 100644
--- a/app-misc/ckb/Manifest
+++ b/app-misc/ckb/Manifest
@@ -1,2 +1,3 @@
 DIST ckb-0.6.0.tar.gz 1835972 BLAKE2B a6d905cf4a62e9395e008628a2b585681f4fa4af52305a11e49d2f00db990a966be79f97e0ae684031a45bf77b372548b64e2b0f87e344eaa0eb67c07117f89c SHA512 34236199d420b663bb71db9400622bb868a3a0b384b58d5da3f80d2bd7ec9586d4e4ac9caad0b047b8440dc4200e4dd6077f4e0d1edb5a75a1327bf9c9ba9392
 DIST ckb-0.6.1.tar.gz 1861827 BLAKE2B 1efc2e3db0d5ab81871f36f687db8b91ad0cd5ca400968829fc5cf406ab615d04882772fb25c8e8351ecd87ed32d754190bbdf902552839dfe5540bdb713c541 SHA512 8f7f4eacd1cd3c255f5c57c277f255e30e6ed1ac7635c4aa7d52193bd63f997f6ba9489641c10be8fc8607045537a75816fa9d937585f3c072af6ed0e8240d7f
+DIST ckb-0.6.2.tar.gz 1864977 BLAKE2B bf419ca453735f9ea83483261f675f20c997cb6def323fcb9157509c6ad518b4d8c73c145509c0de9d2c74df14ed6501bb6a35013c4d4575757ce24394419fad SHA512 21eb6fbb295501e1f30ea34e1361b595161db4c498afcc81efaa6ea7593ef4b04d9fb2966913af526e8151173c47b04b4bf199d7a901dcdc17ed6cd2262c5a20

diff --git a/app-misc/ckb/ckb-0.6.2.ebuild b/app-misc/ckb/ckb-0.6.2.ebuild
new file mode 100644
index 000000000000..6a24a2714caa
--- /dev/null
+++ b/app-misc/ckb/ckb-0.6.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake udev xdg
+
+DESCRIPTION="Corsair K65/K70/K95 Driver"
+HOMEPAGE="https://github.com/ckb-next/ckb-next"
+
+if [[ ${PV} == "9999" ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/ckb-next/ckb-next.git"
+else
+	SRC_URI="https://github.com/ckb-next/ckb-next/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+	S="${WORKDIR}/${PN}-next-${PV}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="systemd"
+
+RDEPEND="
+	dev-libs/quazip:0=[qt6(-)]
+	dev-qt/qtbase:6[dbus,gui,network,opengl,widgets]
+	|| (
+		media-libs/libpulse
+		media-sound/apulse[sdk]
+	)
+	virtual/libudev:=
+	x11-libs/libxcb:=
+	x11-libs/xcb-util-wm"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-qt/qttools:6[linguist]"
+
+src_configure() {
+	local mycmakeargs=(
+		-DDISABLE_UPDATER=yes
+		-DFORCE_INIT_SYSTEM=$(usex systemd systemd openrc)
+		# upstream has a knob that enables automagically using Qt6 with
+		# a Qt5 fallback
+		-DPREFER_QT6=yes
+		# but Qt itself has a more reliable knob for the
+		# default version to use
+		-DQT_DEFAULT_MAJOR_VERSION=6
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+	dodoc CHANGELOG.md
+}
+
+pkg_postinst() {
+	udev_reload
+
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		elog "The ckb daemon will have to be started before use:"
+		elog
+			if use systemd ; then
+			elog "# systemctl start ckb-next-daemon"
+		else
+			elog "# rc-config start ckb-next-daemon"
+		fi
+	fi
+}
+
+pkg_postrm() {
+	udev_reload
+}


             reply	other threads:[~2025-03-21  4:01 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-21  4:01 John Helmert III [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-20  0:06 [gentoo-commits] repo/gentoo:master commit in: app-misc/ckb/ Sam James
2025-03-17  4:25 John Helmert III
2025-03-17  4:25 John Helmert III
2025-02-18  5:23 John Helmert III
2024-07-28 18:51 John Helmert III
2024-07-28  2:39 Sam James
2023-12-21 21:43 John Helmert III
2023-09-11  4:41 John Helmert III
2023-07-28 21:13 John Helmert III
2023-07-28 21:12 John Helmert III
2023-07-28 21:12 John Helmert III
2023-06-10 22:56 Andreas Sturmlechner
2022-09-10  0:29 Sam James
2022-09-09 17:24 John Helmert III
2022-09-09 16:09 Andrew Ammerlaan
2022-07-08 20:14 John Helmert III
2022-03-02  2:43 John Helmert III
2021-10-17 16:08 John Helmert III
2021-09-25 20:48 John Helmert III
2021-09-25 20:48 John Helmert III
2021-04-21 21:14 Tony Vroon
2021-04-12 15:30 Tony Vroon
2021-02-23 19:53 Andreas Sturmlechner
2021-02-15  3:36 Sam James
2021-02-03 16:08 Tony Vroon
2019-11-25 13:44 Tony Vroon
2019-04-22 10:41 Andreas Sturmlechner
2019-04-22 10:41 Andreas Sturmlechner
2019-04-10  8:37 Manuel Rüger
2018-02-15  0:33 Manuel Rüger
2018-02-14 21:23 Manuel Rüger
2016-10-24 21:54 Manuel Rüger
2016-09-05  2:08 Manuel Rüger
2016-06-25  9:10 Manuel Rüger
2016-04-10 14:13 Manuel Rüger
2016-03-06 21:19 Manuel Rüger
2016-02-09 20:22 Manuel Rüger
2016-02-09 20:22 Manuel Rüger
2016-01-17 14:10 Manuel Rüger
2016-01-17 14:10 Manuel Rüger
2015-11-11  7:46 Manuel Rüger
2015-09-19 22:20 Manuel Rüger
2015-08-27 13:10 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1742529635.3365154f31ea1fe4f5df2ff3f6b0cae0b2e7f81b.ajak@gentoo \
    --to=ajak@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox